List Addendums
Retrieve a list of Addendum objects.
You can use query parameters to filter, sort, and paginate the results.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Filter by active period.
Returns items active after the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&active_after=2025-05-15 12:00:00&active_after=2025-05-15T12:00:00Z
Filter by active period.
Returns items active at the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space.
Examples:
&active_at=2025-05-15 12:00:00&active_at=2025-05-15T12:00:00Z
Filter by active period.
Returns items active before the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&active_before=2025-05-15 12:00:00&active_before=2025-05-15T12:00:00Z
Filter by active period.
Returns items with the end of the active period on or after the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space.
Examples:
&active_end_from=2025-05-15 12:00:00&active_end_from=2025-05-15T12:00:00Z
Filter by active period.
Returns items with the end of the active period on or before the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space.
Examples:
&active_end_to=2025-05-15 12:00:00&active_end_to=2025-05-15T12:00:00Z
Filter by active period.
Returns items with the start of the active period on or after the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space.
Examples:
&active_start_from=2025-05-15 12:00:00&active_start_from=2025-05-15T12:00:00Z
Filter by active period.
Returns items with the start of the active period on or before the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space.
Examples:
&active_start_to=2025-05-15 12:00:00&active_start_to=2025-05-15T12:00:00Z
Filter by Addendum ID. Can be multiple.
Filter by client ID. Can be multiple.
-2147483648 <= x <= 2147483647Filter by client's company name (client's name). Case insensitive. Supports partial matches.
Filter by creation date-time.
Returns items created after the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_after=2025-05-15&created_after=2025-05-15 12:00:00&created_after=2025-05-15T12:00:00Z
Filter by creation date-time.
Returns items created before the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_before=2025-05-15&created_before=2025-05-15 12:00:00&created_before=2025-05-15T12:00:00Z
Filter by currency char code (e.g. USD, EUR). Can be multiple.
Returns currencies with the specified char code.
Examples:
¤cy_char_code=USD¤cy_char_codeEUR¤cy_char_codeUSD
Available values:
EUR- EuroUSD- US Dollar
Filter by currency ID. Can be multiple.
Returns currencies with the specified ID.
Examples:
¤cy_id=1¤cy_id=1¤cy_id=2
Available values:
1- US Dollar2- Euro
Number of results to return per page. Maximum is 100.
Filter by active period.
Returns items not active at the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space.
Examples:
¬_active_at=2025-05-15 12:00:00¬_active_at=2025-05-15T12:00:00Z
The initial index from which to return the results.
Ordering of the results.
For ascending sort order use field.asc, for descending sort order use field.desc.
For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.
Final stable tiebreak ordering by primary key is added except when queryset DISTINCT ON is used or pk sorting used.
created_at.asc- Created atcreated_at.desc- Created at (descending)active_range_start.asc- Active range startactive_range_start.desc- Active range start (descending)active_range_end.asc- Active range endactive_range_end.desc- Active range end (descending)id.asc- Idid.desc- Id (descending)client_id.asc- Client idclient_id.desc- Client id (descending)plan_name.asc- Plan nameplan_name.desc- Plan name (descending)plan_id.asc- Plan idplan_id.desc- Plan id (descending)product_name.asc- Product nameproduct_name.desc- Product name (descending)product_id.asc- Product idproduct_id.desc- Product id (descending)
active_range_end.asc, active_range_end.desc, active_range_start.asc, active_range_start.desc, client_id.asc, client_id.desc, created_at.asc, created_at.desc, id.asc, id.desc, plan_id.asc, plan_id.desc, plan_name.asc, plan_name.desc, product_id.asc, product_id.desc, product_name.asc, product_name.desc Ordering of the results.
This field is left for compatibility and can be deprecated in future versions. Use order_by instead.
Default sort order is ascending. Put - before value for descending sort order: -id.
For sorting by multiple parameters write them as comma separated string: -client_id,id.
Final stable tiebreak ordering by primary key is added except when queryset DISTINCT ON is used or pk sorting used.
created_at- Created at-created_at- Created at (descending)active_range_start- Active range start-active_range_start- Active range start (descending)active_range_end- Active range end-active_range_end- Active range end (descending)id- Id-id- Id (descending)client_id- Client id-client_id- Client id (descending)plan_name- Plan name-plan_name- Plan name (descending)plan_id- Plan id-plan_id- Plan id (descending)product_name- Product name-product_name- Product name (descending)product_id- Product id-product_id- Product id (descending)
-active_range_end, -active_range_start, -client_id, -created_at, -id, -plan_id, -plan_name, -product_id, -product_name, active_range_end, active_range_start, client_id, created_at, id, plan_id, plan_name, product_id, product_name Filter by payer ID. Can be multiple.
Filter by plan ID. Can be multiple.
Filter by plan name. Case insensitive. Supports partial matches.
Filter by product ID. Can be multiple.
Returns products with the specified ID.
Examples:
&product_id=1&product_id=1&product_id=2
Available values:
1- CDN2- Object Storage3- Web Security4- Streaming5- Cloud6- Colocation Services7- WG Private Cloud8- p2p9- DDoS Protection10- Managed DNS11- Other Services12- Premium Support13- Connectivity14- Hosting (G-Hosting)15- Managed Services16- Rent17- Software development18- VM Ware19- LaaS20- AWS Cloud21- FastEdge22- Technical Support23- WAAP25- Edge Proxy32- AI Managed Dedicated Compute65- Gclaw
Filter by product internal name. Can be multiple.
Returns products with the specified internal name.
Examples:
&product_internal_name=CDN&product_internal_name=CDN&product_internal_name=DNS
Available values:
AI_DEDCOMP- AI Managed Dedicated ComputeAWS_CLOUD- AWS CloudCDN- CDNCLOUD- CloudCONNECT- Colocation ServicesCONNECTIVITY- ConnectivityDDOS- Web SecurityDNS- Managed DNSFAST_EDGE- FastEdgeGCLAW- GclawGHOST- Hosting (G-Hosting)INFRASTRUCTURE_PROTECTION- DDoS ProtectionLAAS- LaaSMANAGED_SERVICES- Managed ServicesOTHER_SERVICES- Other ServicesP2P- p2pPREMIUM_SUPPORT- Premium SupportRENT- RentSHIELD_PROXY- Edge ProxySOFTWARE_DEVELOPMENT- Software developmentSTORAGE- Object StorageSTREAMING- StreamingTECHNICAL_SUPPORT- Technical SupportVMWARE- VM WareWAAP- WAAPWG_PRIVATE_CLOUD- WG Private Cloud
Filter by product name. Case insensitive. Supports partial matches.
Filter by provider ID. Can be multiple.
-2147483648 <= x <= 2147483647Filter by reseller ID. Can be multiple.
Filter by addendum statuses. Can be multiple.
upcoming- upcomingactive- activepaused- pausedstopped- stopped
active, paused, stopped, upcoming